package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtCouponClaimLog;

/**
 * 优惠券领取记录Mapper接口
 * 
 * @author qzz
 * @date 2024-08-08
 */
public interface EtCouponClaimLogMapper 
{
    /**
     * 查询优惠券领取记录
     * 
     * @param claimId 优惠券领取记录主键
     * @return 优惠券领取记录
     */
    public EtCouponClaimLog selectEtCouponClaimLogByClaimId(Long claimId);

    /**
     * 查询优惠券领取记录列表
     * 
     * @param etCouponClaimLog 优惠券领取记录
     * @return 优惠券领取记录集合
     */
    public List<EtCouponClaimLog> selectEtCouponClaimLogList(EtCouponClaimLog etCouponClaimLog);

    /**
     * 新增优惠券领取记录
     * 
     * @param etCouponClaimLog 优惠券领取记录
     * @return 结果
     */
    public int insertEtCouponClaimLog(EtCouponClaimLog etCouponClaimLog);

    /**
     * 修改优惠券领取记录
     * 
     * @param etCouponClaimLog 优惠券领取记录
     * @return 结果
     */
    public int updateEtCouponClaimLog(EtCouponClaimLog etCouponClaimLog);

    /**
     * 删除优惠券领取记录
     * 
     * @param claimId 优惠券领取记录主键
     * @return 结果
     */
    public int deleteEtCouponClaimLogByClaimId(Long claimId);

    /**
     * 批量删除优惠券领取记录
     * 
     * @param claimIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtCouponClaimLogByClaimIds(Long[] claimIds);
}
